Bug 985917 - Review Request: gnotime - Tracks and reports time spent
Review Request: gnotime - Tracks and reports time spent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On: 985916
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:51 EDT by Gwyn Ciesla
Modified: 2013-09-06 21:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnotime-2.4.1-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 21:25:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck (6.66 KB, text/plain)
2013-08-23 06:09 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Gwyn Ciesla 2013-07-18 09:51:15 EDT
Description:

A combination of stop-watch, diary, consultant billing system, and project
manager.  Gnotime allows you to track the amount of time you spend on a task,
associate a memo with it, set a billing rate, print an invoice, as well as
track the status of other projects.

Some people may remember Gnotime in its previous incarnations as GTT
(Gnome Time Tracker) when it was part of the Gnome Utils package.  It has
been split out, renamed, and greatly enhanced since then.

SPEC: http://fedorapeople.org/~limb/review/gnotime/gnotime.spec
SRPM: http://fedorapeople.org/~limb/review/gnotime/gnotime-2.4.1-1.fc19.src.rpm


This is an un-retirement re-review, this was dropped in Fedora 15.

This requires compat-gtkhtml314.
Comment 1 Peter Ajamian 2013-07-18 20:48:24 EDT
Don't we need compat-gtkhtml314 as a Requires in the spec?
Comment 2 Gwyn Ciesla 2013-07-18 22:24:24 EDT
No, it's in BuildRequires, and RPM will pick up the solib.  It's better to let RPM handle Requires whenever possible.

http://fedoraproject.org/wiki/Packaging:Guidelines#Requires
Comment 3 Igor Gnatenko 2013-07-25 14:21:20 EDT
* BuildRoot not needed since F10 [0]
* %clean section isn't needed since F13 [1]
* %{buildroot} instead of $RPM_BUILD_ROOT/
* %make_install instead of make install DESTDIR=$RPM_BUILD_ROOT [2]
* %defattr isn't needed since rpm 4.4 [3]

[0] https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
[1] https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
[2] https://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
[3] https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
Comment 5 Peter Ajamian 2013-08-20 08:56:35 EDT
This builds fine with qof-devel versions prior to 0.8.  I still need to test that it runs on the older qof-devel (on F19), but if it does I suggest that we remove the ">= 0.8" from the qof-devel BuildRequires.
Comment 6 Peter Ajamian 2013-08-20 19:50:14 EDT
Just verified that gnotime 2.4.1 runs just fine with qof 0.7.5.  The qof version requirement should be removed so that gnotime can build and run on F19.
Comment 8 Igor Gnatenko 2013-08-23 03:53:05 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- GConf schemas are properly installed
  Note: gconf file(s) in gnotime
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/omf/gnotime
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- update-desktop-database is invoked when required
  Note: desktop file(s) in gnotime
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/gnotime
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- I can wrong w/ license. You use GPLv2+. Can we use this license for GPLv3?
- You should use parallel make. use %{?_smp_mflags} for make
- For patches please link to bugreports, etc. in spec as comment
- I see make check are present, but you not use it.
- Are you informed upstream for incorrect-fsf-address ?


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "GPL (v3 or later)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in
     /home/brain/985917-gnotime/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 133120 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Uses parallel make.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2007040 bytes in /usr/share 2007040
     gnotime-2.4.1-3.fc21.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnotime-2.4.1-3.fc21.x86_64.rpm
gnotime.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gnotime.schemas
gnotime.x86_64: E: incorrect-fsf-address /usr/share/doc/gnotime/README
gnotime.x86_64: E: incorrect-fsf-address /usr/share/doc/gnotime/COPYING
1 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnotime
gnotime.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gnotime.schemas
gnotime.x86_64: E: incorrect-fsf-address /usr/share/doc/gnotime/README
gnotime.x86_64: E: incorrect-fsf-address /usr/share/doc/gnotime/COPYING
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnotime (rpmlib, GLIBC filtered):
    /bin/sh
    GConf2
    libICE.so.6()(64bit)
    libORBit-2.so.0()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXss.so.1()(64bit)
    libart_lgpl_2.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libbonobo-2.so.0()(64bit)
    libbonobo-activation.so.4()(64bit)
    libbonoboui-2.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libenchant.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgc.so.1()(64bit)
    libgconf-2.so.4()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglade-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-2.so.0()(64bit)
    libgnomecanvas-2.so.0()(64bit)
    libgnomeui-2.so.0()(64bit)
    libgnomevfs-2.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtkhtml-3.14.so.19()(64bit)
    libguile-2.0.so.22()(64bit)
    libguile-2.0.so.22(GUILE_2.0)(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpopt.so.0()(64bit)
    libpthread.so.0()(64bit)
    libqof.so.2()(64bit)
    libqof.so.2(LIBQOF_0.8.0)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)
    scrollkeeper



Provides
--------
gnotime:
    gnotime
    gnotime(x86-64)



Source checksums
----------------
http://downloads.sf.net/gttr/gnotime-2.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : b25a9d94cdb7e08c18f115eddddd32a6e23834416355fcaed852260b6b2f6410
  CHECKSUM(SHA256) upstream package : b25a9d94cdb7e08c18f115eddddd32a6e23834416355fcaed852260b6b2f6410


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 985917
Comment 9 Peter Ajamian 2013-08-23 05:44:01 EDT
(In reply to Igor Gnatenko from comment #8)
> - Package do not use a name that already exist
>   Note: A package already exist with this name, please check
>   https://admin.fedoraproject.org/pkgdb/acls/name/gnotime

That is this package.  We're bringing it back to life.

> - I can wrong w/ license. You use GPLv2+. Can we use this license for GPLv3?

Probably, can you attach the licensecheck output so we can review it?

> - Are you informed upstream for incorrect-fsf-address ?

We can file a bug report for this and other license issues upstream.
Comment 10 Igor Gnatenko 2013-08-23 06:09:59 EDT
Created attachment 789542 [details]
licensecheck

(In reply to Peter Ajamian from comment #9)
> (In reply to Igor Gnatenko from comment #8)
> > - Package do not use a name that already exist
> >   Note: A package already exist with this name, please check
> >   https://admin.fedoraproject.org/pkgdb/acls/name/gnotime
> 
> That is this package.  We're bringing it back to life.
> 
> > - I can wrong w/ license. You use GPLv2+. Can we use this license for GPLv3?
> 
> Probably, can you attach the licensecheck output so we can review it?
Attached.
> 
> > - Are you informed upstream for incorrect-fsf-address ?
> 
> We can file a bug report for this and other license issues upstream.
Comment 11 Gwyn Ciesla 2013-08-23 08:45:11 EDT
Based on what I see either GPLv2+ or GPLv3+ is correct.
Comment 12 Gwyn Ciesla 2013-08-23 10:19:54 EDT
Fixed GCOnf, icon cache, parallel make, and dropped the abi-version patch.

I left the license, and the checks refer to a file that doesn't exist.

Filed upstream bug for fsf address. https://sourceforge.net/p/gttr/bugs/97/

SRPM: http://fedorapeople.org/~limb/review/gnotime/gnotime-2.4.1-4.fc19.src.rpm
SPEC: http://fedorapeople.org/~limb/review/gnotime/gnotime.spec
Comment 13 Gwyn Ciesla 2013-08-23 11:35:59 EDT
Fixed desktop file and gconf schemas, same URLs.
Comment 15 Gwyn Ciesla 2013-08-23 12:06:01 EDT
Sounds good, thanks!

New Package SCM Request
=======================
Package Name: gnotime
Short Description: Tracks and reports time spent
Owners: limb ignatenkobrain
Branches: f20 f19 f18
InitialCC:
Comment 16 Gwyn Ciesla 2013-08-23 12:08:07 EDT
Whoops, should be change, unretiring.

Package Change Request
======================
Package Name: gnotime
New Branches: f20 f19 f18
Owners: limb ignatenkobrain
InitialCC:
Comment 17 Gwyn Ciesla 2013-08-23 12:09:04 EDT
Git done (by process-git-requests).
Comment 18 Gwyn Ciesla 2013-08-23 12:16:24 EDT
Filed trac to unblock.  Imported into rawhide and f20.  Will do f19 and f18 once compat-gtkhtml314 hits stable.
Comment 19 Gwyn Ciesla 2013-08-23 12:57:38 EDT
Unblocked, build in rawhide and f20.  Imported into git for f19 and f18 but not built.
Comment 20 Gwyn Ciesla 2013-08-29 08:19:01 EDT
Not building for f18, needs guile > 2.0.
Comment 21 Fedora Update System 2013-08-29 08:21:38 EDT
gnotime-2.4.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnotime-2.4.1-5.fc19
Comment 22 Peter Ajamian 2013-08-29 16:02:18 EDT
I wouldn't loose any hair over it not building in F18.  I doubt it's worth chasing down for the few months that F18 has left.  If anyone really wants it I still have 2.3.0 in my repo for F18 (what you've based the current build on).
Comment 23 Fedora Update System 2013-08-29 18:20:23 EDT
gnotime-2.4.1-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 24 Fedora Update System 2013-09-06 21:25:20 EDT
gnotime-2.4.1-5.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.